Get Builds Count
https://app.fossa.com/api/counts/buildsRetrieves a count of builds.
Query parameters
locatorstringThe revision locator to filter builds to
projectIdstringThe project locator to filter builds to
startDatestring <date-time>The start date to filter builds to
endDatestring <date-time>The end date to filter builds to
pageSizeinteger <int32>The number of builds to return
pageinteger <int32>The page number to return
sortstringThe sort order(s) to apply to the builds. Accepts a comma-separated list of one or more columns. Prefix a column with `-` to sort it in descending order (ascending is the default). Valid columns are: `cliVersionId`, `createdAt`, `id`, `locator`, `ownerId`, `taskId`, `updatedAt`. For example, `-createdAt,id` sorts by `createdAt` descending then `id` ascending.
Responses
200Build counts400Malformed PayloaduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/counts/buildscurl --request GET \ --url 'https://app.fossa.com/api/counts/builds' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
locatorstringThe revision locator to filter builds to
projectIdstringThe project locator to filter builds to
startDatestringThe start date to filter builds to
endDatestringThe end date to filter builds to
pageSizeintegerThe number of builds to return
pageintegerThe page number to return
sortstringThe sort order(s) to apply to the builds. Accepts a comma-separated list of one or more columns. Prefix a column with `-` to sort it in descending order (ascending is the default). Valid columns are: `cliVersionId`, `createdAt`, `id`, `locator`, `ownerId`, `taskId`, `updatedAt`. For example, `-createdAt,id` sorts by `createdAt` descending then `id` ascending.